<html>
<head>
<title>PHPoC ALARM</title>
<meta name="viewport" content="width=device-width, initial-scale=0.7">

<style>
body { text-align:center; background-color:#fff;}
#phpoclogo {color:#002080;}
#introtext {text-align:center;}
#phpocimage {vertical-align:middle; width:189px; height:125px;}
#wc_conn {margin-left:1em;}
.imgsmall {width:1em; height:1em;}
img.desaturate { -webkit-filter: grayscale(100%); filter: grayscale(100%);}
ul {text-align:center;}
li { display:inline-block;}
.button {
  display: inline-block;
  padding: 15px 25px;
  font-size: 24px;
  cursor: pointer;
  text-align: center;	
  text-decoration: none;
  outline: none;
  color: #fff;
  background-color: #002080;
  border: none;
  border-radius: 8px;
  box-shadow: 0 4px #999;
}

.button:hover {background-color: #0040ff}

.button:active {
  background-color: #002080;
  box-shadow: 0 3px #666;
  transform: translateY(4px);
}
 </style>
 
<script>
var ws1
var ws;
var wc_max_len = 32768;

var canvas_width = 95;
var canvas_height = 95;

function update_button(state)
{
	var button = document.getElementById("button");

	if(state)
		button.style.backgroundImage = "url('/button_pop.png')";
	else
		button.style.backgroundImage = "url('/button_push.png')";
}

function mouse_down()
{
	if(ws.readyState == 1)
		ws.send("0\r\n");

	update_button(0);

	event.preventDefault();
}
function mouse_up()
{
	if(ws.readyState == 1)
		ws.send("1\r\n");

	update_button(1);
}

function ws_onopen()
{ 
	document.getElementById("ws_state").innerHTML = '<h2>PHPoC Blue : <img id="stateimage" class="imgsmall" src="ok_logo.jpg">  CONNECTED</h2>';
	document.getElementById("header").innerHTML = '<img id="phpocimage" src="phpoc_blue_connected.jpg">';
	document.getElementById("ws_motion").innerHTML = '<h2>Motion Detected : <img id="motionimage" class="imgsmall" src="ok_logo.jpg"> ALL OK';
	document.getElementById("ws_sound").innerHTML = '<h2>Sound Detected : <img id="soundimage" class="imgsmall" src="ok_logo.jpg"> ALL OK';
	document.getElementById("wc_conn").innerHTML = "Disconnect";
}


function ws_onclose()
{
	document.getElementById("ws_state").innerHTML = '<h2>PHPoC Blue : <img id="stateimage" class="imgsmall" src="no_logo.jpg">  DISCONNECTED</h2>';
	document.getElementById("header").innerHTML = '<img id="phpocimage"class="desaturate" src="phpoc_blue_connected.jpg">';
	document.getElementById("ws_motion").innerHTML = '<h2>Motion Detected : <img id="motionimage" class="imgsmall desaturate" src="warning_logo.jpg"> Disconnected';
	document.getElementById("ws_sound").innerHTML = '<h2>Sound Detected : <img id="soundimage" class="imgsmall desaturate" src="warning_logo.jpg"> Disconnected';
	document.getElementById("wc_conn").innerHTML = "Connect";
	ws.onopen = null;
	ws.onclose = null;
	ws.onmessage = null;
	ws = null;
}


function wc_onclick()
{
	var button = document.getElementById("button");
	button.width = canvas_width;
	button.height = canvas_height;
	button.addEventListener("touchstart", mouse_down);
	button.addEventListener("touchend", mouse_up);
	button.addEventListener("touchcancel", mouse_up);
	button.addEventListener("mousedown", mouse_down);
	button.addEventListener("mouseup", mouse_up);
	button.addEventListener("mouseout", mouse_up);
	update_button(1);
	if(ws == null)
	{
		ws = new WebSocket("ws://<?echo _SERVER("HTTP_HOST")?>/WebConsole", "text.phpoc");
		document.getElementById("ws_state").innerHTML = '<h2>PHPoC Blue : <img id="stateimage" class="imgsmall" src="warning_logo.jpg">  CONNECTING...</h2>';
		ws.onopen = ws_onopen;
		ws.onclose = ws_onclose;
		ws.onmessage = ws_onmessage;
	}
	else
		ws.close();
}


function ws_onmessage(e_msg)
{
	e_msg = e_msg || window.event; // MessageEvent	
	if(e_msg.data == "motionONsoundON\r\n"){
		document.getElementById("ws_motion").innerHTML = '<h2>Motion Detected : <img id="motionimage" class="imgsmall" src="warning_logo.jpg">  DETECTED!';
		document.getElementById("ws_sound").innerHTML = '<h2>Sound Detected : <img id="soundimage" class="imgsmall" src="warning_logo.jpg">  DETECTED!';
	}
	else if(e_msg.data == "motionONsoundOFF\r\n"){
		document.getElementById("ws_motion").innerHTML = '<h2>Motion Detected : <img id="motionimage" class="imgsmall" src="warning_logo.jpg">  DETECTED!';
		document.getElementById("ws_sound").innerHTML = '<h2>Sound Detected : <img id="soundimage" class="imgsmall" src="ok_logo.jpg">  ALL OK';
	}
	else if(e_msg.data == "motionOFFsoundON\r\n"){
		document.getElementById("ws_motion").innerHTML = '<h2>Motion Detected : <img id="motionimage" class="imgsmall" src="ok_logo.jpg">  ALL OK';
		document.getElementById("ws_sound").innerHTML = '<h2>Sound Detected : <img id="soundimage" class="imgsmall" src="warning_logo.jpg">  DETECTED!';
	}
	else if(e_msg.data == "motionOFFsoundOFF\r\n"){
		document.getElementById("ws_motion").innerHTML = '<h2>Motion Detected : <img id="motionimage" class="imgsmall" src="ok_logo.jpg">  ALL OK';
		document.getElementById("ws_sound").innerHTML = '<h2>Sound Detected : <img id="soundimage" class="imgsmall" src="ok_logo.jpg">  ALL OK';
	}
}
</script>
</head>


<body>
<div>
	<h1 id="introtext">PHPoC <span id="phpoclogo">Blue</span></h1><br>
	<span id="header"><img id="phpocimage" class="desaturate" src="phpoc_blue_connected.jpg"></span>
	<button class="button" id="wc_conn" type="button" onclick="wc_onclick();">Connect</button><br>
	<span id="ws_state"><h2>PHPoC Blue : <img id="stateimage" class="imgsmall" src="no_logo.jpg">  DISCONNECTED</h2></span>
</div>
<hr>
<div>
	<span id="ws_motion"><h2>Motion Detected : <img id="motionimage" class="imgsmall desaturate" src="warning_logo.jpg"> Disconnected</h2></span>
	<span id="ws_sound"><h2>Sound Detected : <img id="soundimage" class="imgsmall desaturate" src="warning_logo.jpg"> Disconnected</h2></span>
	<hr>
	<span><h2>Press to activate the buzzer!</h2></span>
	<canvas id="button"></canvas>
</div>
</body>
</html>