<?php

if(_SERVER("REQUEST_METHOD"))
	exit; // avoid php execution via http request

include "/lib/sd_340.php";
include "/lib/sn_tcp_ws.php";

define("PIR_PIN", 0);
define("SOUND_PIN", 1);
define("BUZZER_PIN", 8);
define("LEDG_PIN",20);
define("LEDR_PIN", 19);

uio_setup(0, PIR_PIN, "in");
uio_setup(0, SOUND_PIN, "in");
uio_setup(0, BUZZER_PIN, "out low");
uio_setup(0, LEDG_PIN, "out high");
uio_setup(0, LEDR_PIN, "out low");
ws_setup(0, "WebConsole", "text.phpoc");

$last_motion = 0;
$last_sound = 0;

$rwbuf = "";
$rlen=0;

while(1)
{
	if(ws_state(0) == TCP_CONNECTED)
	{
		$motion = uio_in(0, PIR_PIN);
		$sound = uio_in(0, SOUND_PIN);
		$rlen = ws_read_line(0, $rwbuf);
		
		if($motion != $last_motion || $sound != $last_sound)
		{
			if($motion && $sound ){
				ws_write(0, "motionONsoundON\r\n");
			}
			else if($motion && !$sound ){
				ws_write(0, "motionONsoundOFF\r\n");
			}
			else if(!$motion && $sound )
				ws_write(0, "motionOFFsoundON\r\n");
			else
				ws_write(0, "motionOFFsoundOFF\r\n");
			$last_motion = $motion;
			$last_sound = $sound;
		}

		if($rlen && $rlen!=$rlenOld)
			for($i = 1; $i <= 15; $i++){
				uio_out(0, BUZZER_PIN, 1);
				uio_out(0, LEDG_PIN, 0);
				uio_out(0, LEDR_PIN, 1);
				usleep(100000);
				uio_out(0, BUZZER_PIN, 0);
				uio_out(0, LEDR_PIN, 0);
				usleep(100000);
			}
		uio_out(0, LEDG_PIN, 1);
		$rlenOld = $rlen;
	}
}
 
?>